import { Component } from '@angular/core';
import { AlertController } from '@ionic/angular';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page {

  constructor(private alertController: AlertController,private router: Router) {}

  async openModal() {
    const alert = await this.alertController.create({
      header: '提示',
      message: '弹窗了',
      buttons: ['确定']
    });
    await alert.present();
  }
  blueColor:boolean=false;
  toggleButtonColor(habit:string){
    this.blueColor=!this.blueColor;
  }

  //3d圆点击事件
  navigateToTreePage() {
    this.router.navigate(['/tabs/tree']);
  };




  //每日习惯按钮颜色变化
  buttons = [
    { text: '足量饮水', color: 'light', icon: 'water' },
    { text: '干净饮食', color: 'light', icon: 'nutrition' },
    { text: '健康作息', color: 'light', icon: 'bed' },
    { text: '有氧', color: 'light', icon: 'bicycle' },
    { text: '力量', color: 'light', icon: 'barbell' },
    { text: '拉伸', color: 'light', icon: 'body' }
  ];

  habitText = '今日习惯待保持';

  onButtonClick(index: number) {
    const button = this.buttons[index];
    switch(button.color) {
      case 'light':
        button.color = 'success';
        break;
      case 'success':
        button.color = 'danger';
        break;
      case 'danger':
        button.color = 'light';
        break;
    }
  
    this.checkHabitText();
  }
  
  checkHabitText() {
    if (this.buttons.every(btn => btn.color === 'success')) {
      this.habitText = '你成功保持了良好的习惯';
    } else if (this.buttons.some(btn => btn.color === 'danger')) {
      this.habitText = '今日好习惯保持失败，再接再厉';
    } else {
      this.habitText = '今日习惯待保持';
    }
  }
  
  get allButtonsSuccess() {
    return this.buttons.every(btn => btn.color === 'success');
  }
  
  get anyButtonFailure() {
    return this.buttons.some(btn => btn.color === 'danger');
  }



}

